<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZCustomerPickupTreeViewBase from './ibizcustomer-pickup-tree-view-base.vue';

import view_tree from '@widgets/ibizcustomer/usr-treeview/usr-treeview.vue';
// 基于 @VIEW/实体选择树视图（部件视图）/VIEW.vue.ftl 生成

@Component({
    components: {
        view_tree, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZCustomerPickupTreeView extends IBIZCustomerPickupTreeViewBase {

}
</script>